<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-conteudo-heading" data-cy="ConteudoCreateUpdateHeading" jhiTranslate="matrixApp.conteudo.home.createOrEditLabel">
        Criar ou editar Conteudo
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="matrixApp.conteudo.id" for="field_id">Id</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.conteudo.descricao" for="field_descricao">Descricao</label>
          <input type="text" class="form-control" name="descricao" id="field_descricao" data-cy="descricao" formControlName="descricao" />
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.conteudo.conhecimento" for="field_conhecimento">Conhecimento</label>
          <select
            class="form-control"
            id="field_conhecimento"
            data-cy="conhecimento"
            name="conhecimento"
            formControlName="conhecimento"
            [compareWith]="compareConhecimento"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="conhecimentoOption" *ngFor="let conhecimentoOption of conhecimentosSharedCollection">
              {{ conhecimentoOption.id }}
            </option>
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.conteudo.geral" for="field_geral">Geral</label>
          <select
            class="form-control"
            id="field_geral"
            data-cy="geral"
            name="geral"
            formControlName="geral"
            [compareWith]="compareConteudo"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="conteudoOption" *ngFor="let conteudoOption of conteudosSharedCollection">{{ conteudoOption.id }}</option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancelar</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Salvar</span>
        </button>
      </div>
    </form>
  </div>
</div>
